<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$ven_id=$_POST['ven_id'];
$ven_n_venta=$_POST['numero_fac'];
$ven_fecha=$_POST['fecha_fac'];
$usu_nombre=$_POST['usu_nombre'];
$clie_id=$_POST['clie_id'];
$numero_viejo=$_POST['numero_viejo'];
$fecha_vieja=$_POST['fecha_vieja'];
$fecha=date('Y-m-d H:i:s');

$sql2=mysqli_query($con, "SELECT * from cliente where clie_id='$clie_id' and empresa='$empresa' ");
$sql2=mysqli_fetch_array($sql2);
$clie_cc=$sql2['clie_cc'];
$clie_nombre=$sql2['clie_nombre'];
$clie_correo=$sql2['clie_correo'];
$clie_telefono=$sql2['clie_telefono'];

$registros=mysqli_query($con,"INSERT into ventas_historial_electronico (vent_num_viejo,vent_num_nuevo,vent_fecha_viejo,vent_fecha_nuevo,vent_usuario,ven_id) VALUES ('$numero_viejo','$ven_n_venta','$fecha_vieja','$fecha','$usu_nombre','$ven_id')") or die(mysqli_error($con));

$sql=mysqli_query($con,"UPDATE ventas Set
                        ven_n_venta ='$ven_n_venta', 
                        ven_fecha ='$ven_fecha',
                        Cliente_clie_id='$clie_id',
                        ven_cc='$clie_cc',
                        ven_nombre='$clie_nombre',
                        ven_correo='$clie_correo',
                        ven_telefono='$clie_telefono' 
                        Where ven_id='$ven_id' and empresa='$empresa' ") or die(mysqli_error($con)); 

      echo '<div class="alert alert-success alert-dismissable">
         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
         <strong>Datos!</strong> Modificado correctamente.
      </div>';   
?>

<script type="text/javascript">
   //--funsion ocultar div
   setTimeout(function() {
      $('#resultados_dian').fadeOut('hide'); 
   },800); // <-- tiempo en milisegundos 

    //--funsion ocultar div
   setTimeout(function() {
      $('#factura').modal('hide'); 
   }, 1000); // <-- tiempo en milisegundos 
</script>